<template>
    <div>
        <h1>Comment ça marche ?</h1>
        <div>
            <p>
                Gollege est une application en ligne qui te permet d'apprendre à
                jouer au Go tout en étant suivi par un ou plusieurs professeurs.
            </p>
            <p>
                En rejoignant un club, un professeur pourra te donner accès à
                des exercices qui te feront progresser avec le temps. Pour cela,
                commence par te connecter, puis va sur la page
                <router-link tag="a" to="DemandeInscription">
                    Demande d'inscription
                </router-link>
                pour rejoindre le club de ton choix.
            </p>
            <p>
                Une fois la demande acceptée par le club, ton professeur pourra
                te donner des nouveaux exercices que tu retrouveras sur la page
                <router-link tag="a" to="NouveauxProblemes">
                    Nouveaux Problèmes
                </router-link>
            </p>
            <p>
                Ces exercices te seront ensuite reproposés dans le temps sur la
                page
                <router-link tag="a" :to="{ name: 'Revision' }">
                    Révisions
                </router-link>
                . Et là Gollege s'occupe de tout :
            </p>
            <p>
                Si tu réussis un exercice, il te sera reproposé plus tard, le
                tout en espaçant de plus en plus les révisions, jusqu'à ce que
                tu assimiles bien le contenu du problème. De cette façon,
                Gollege s'assure que tu as compris un concept au moment où on te
                l'a appris, mais aussi que tu le pratiques assez pour t'en
                souvenir, et ainsi t'en servir au mieux dans tes parties !
            </p>
            <p>
                Si tu n'arrives pas à y répondre, pas d'inquiétude ! Il t'est
                reproposé jusqu'à ce que tu le réussisses. Tu bloques vraiment
                dessus ? Tu as une question ? Tu as réussi sans trop savoir
                pourquoi ? A tout moment, sous l'exercice tu auras un bouton
                "Signaler un problème", qui te permettra d'alerter un professeur
                de ton club que tu as besoin d'aide pour le résoudre. Il saura
                ainsi qu'il doit revenir vers toi pour que tu ne restes pas
                bloqué. Cela permettra à ton professeur de te remontrer ce
                problème sans qu'il ait à apparaitre dans tes révisions.
            </p>
        </div>
        <div v-if="isProf()">
            <h2>Et pour les professeurs ?</h2>
            <h3>
                <router-link tag="a" class="titre-lien" to="GestionClub">
                    Gestion de club
                </router-link>
            </h3>
            <p>
                Commencez-par accépter des élèves dans votre club. Cette page
                vous servira à savoir quels élèves font partis de votre club, et
                lesquels veulent le rejoindre. Acceptez et refusez les sur cette
                page.
            </p>
            <h3>
                <router-link
                    tag="a"
                    class="titre-lien"
                    :to="{ name: 'ListeClasse' }"
                >
                    Classes
                </router-link>
            </h3>
            <p>
                Il n'est pas toujours facile de gérer un groupe. Les classes
                vous sont propres, et vous permettent de regrouper les élèves
                selon les critères de votre choix (niveau/âge/session). Vous
                pouvez en créer autant que vous le souhaitez, et elles vous
                simplifieront les actions suivantes en vous éviter de les
                répétés pour chaque élèves.
            </p>
            <h3>
                <router-link
                    tag="a"
                    class="titre-lien"
                    :to="{ name: 'ListeLecons' }"
                >
                    Les leçons
                </router-link>
            </h3>
            <p>
                Vous pouvez créer des leçons sur la page correspondante.
                Celles-ci peuvent être publiques ou privées. (attention
                cependant, mettre des leçons privées c'est pas très bon pour le
                système de partage, et pourra donc devenir payant dans une
                certaine mesure si vous abusez).
            </p>
            <p>
                A l'intérieur des leçons, vous pouvez rédiger un texte qui
                correspond à comment expliquer votre leçon : des conseils, une
                approche particulière ? Tout doit être là pour que n'importe
                quel prof puisse l'utiliser après vous.
            </p>
            <p>
                Des exercices explicatifs : ils sont là pour fournir des
                informations aux autres professeurs, ou pour être présenter lors
                des cours : ils ne servent pas à tester les élèves, mais à leur
                présenter un concept. En théorie ils ne doivent pas être envoyés
                aux élèves (pour l'instant).
            </p>
            <p>
                Des exercices : et oui, ceux là, c'est ceux qu'on enverra aux
                élèves pour les tester. C'est sur cette base que vous pourrez
                savoir si vos élèves ont compris ou non vos leçons.
            </p>
            <h3>
                <router-link tag="a" class="titre-lien" to="SuiviEleve">
                    Suivi des élèves
                </router-link>
            </h3>
            <p>
                Ici vous pourrez suivre la progression de vos élèves : vous
                trouverez toutes les actions de vos élèves résumées ici, que ce
                soit les succès ou les échecs. N'hésitez pas à venir
                régulièrement sur cette page, car toutes les questions de vos
                élèves seront aussi affichés sur cette page.
            </p>
            <h3>Un oubli ?</h3>
            <p>
                Si vous avez un doute sur le fonctionnement d'une page, vous
                pouvez toujours retrouver les explications qui lui sont
                relatives en cliquant sur le titre de la page.
            </p>
            <p>
                Si les explications ne sont toujours pas claires, n'hésitez pas
                à contacter l'adminitrateur qui se réjouira de clarifier pour
                vous.
            </p>
        </div>
    </div>
</template>

<script lang="ts">
import Vue from 'vue';
export default class CommentCaMarche extends Vue {
    isProf(): boolean {
        return this.$auth.isRoleAutorise('Professeur');
    }
}
</script>

<style scoped>
.titre-lien {
    color: #333;
}
</style>
